.clear,
.main,
html.overflow-hidden body {
  overflow: hidden;
}
.overflow-menu {
  overflow: hidden;
}
#loader,
body,
html {
  height: 100%;
}
ul,
ol {
  list-style: none;
}
#content-block {
  /* overflow: hidden; */
}

:root {
  --primary-color: #fff;
  --primary-color-thin: rgba(255, 0, 144, 0.2);
  --text-color-black: #15161a;
  --text-color-white: #fff;
  --label-color: #505050;
  --border-color: #e7e7e7;
  --background-color: #f5f5f5;
  --background-color-black: #0f0f0f;

  --blur: 10px;
  --bg-overlay: rgba(0, 0, 0, 0.56);
  --box-shadow:
    0 0 1.5rem 0 rgba(0, 0, 0, 0.03), 0 0 0.5rem 0 rgba(0, 0, 0, 0.06);
  --transition-1: 0.3s ease;

  --sp-xl: 5.5rem;
  --sp-lg: 2rem;
  --sp-md: 1.5rem;
  --sp-sm: 1.5rem;
  --sp-xs: 1rem;
}

#loader {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  z-index: 999;
  background-color: #fff;
  -webkit-animation: 1s linear forwards loader;
  animation: 1s linear forwards loader;
}
@-webkit-keyframes loader {
  0%,
  70% {
    opacity: 1;
  }
  99% {
    opacity: 0;
  }
  100% {
    display: none;
    visibility: hidden;
    z-index: -10;
    opacity: 0;
  }
}
@keyframes loader {
  0%,
  70% {
    opacity: 1;
  }
  99% {
    opacity: 0;
  }
  100% {
    display: none;
    visibility: hidden;
    z-index: -10;
    opacity: 0;
  }
}
* {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
  -webkit-text-size-adjust: none;
  box-sizing: border-box;
  font-family: "Inter", sans-serif;
}
.clear {
  clear: both;
  height: 0;
  font-size: 0px;
  display: block;
}
html:not(.touch-screen) ::-webkit-scrollbar,
html:not(.touch-screen)::-webkit-scrollbar {
  width: 0px;
  height: 5px;
  border-radius: 10px;
}
html:not(.touch-screen) ::-webkit-scrollbar-track,
html:not(.touch-screen)::-webkit-scrollbar-track {
  background: transparent;
}
html:not(.touch-screen) ::-webkit-scrollbar-thumb,
html:not(.touch-screen)::-webkit-scrollbar-thumb {
  background: #8a8a8c;
  border-radius: 10px;
}
:active,
:focus,
:visited {
  outline: 0;
}

.container {
  max-width: 1920px;
  margin: auto;
  padding-left: 24px;
  padding-right: 24px;
}

/* Chrome, Safari, Edge */
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type="number"] {
  -moz-appearance: textfield;
}

/* breadcrumbs */

.breadcrumbs {
  background-color: #fff;
}
.breadcrumbs.breadcrumbs-gray {
  background-color: #f6f7f9;
}
.breadcrumbs ul {
  display: flex;
  align-items: center;
  gap: 8px;
  padding: 12px 0;
  overflow-x: auto;
  white-space: nowrap;
}
.breadcrumbs img {
  width: 16px;
  min-width: 16px;
}

.breadcrumbs span {
  font-size: 0;
}
.breadcrumbs a,
.breadcrumbs li span {
  font-weight: 300;
  font-size: 16px;
  line-height: 24px;
  color: #15161a;
}
.breadcrumbs a,
.breadcrumbs a span {
  color: #69737c;
}

.product-card__inner-slider {
  overflow: hidden;
}

.stack {
  display: flex;
}

.fd-row {
  flex-direction: row;
}
.fd-column {
  flex-direction: column;
}
.gap-64 {
  gap: 64px;
}
.gap-40 {
  gap: 40px;
}
.gap-32 {
  gap: 32px;
}
.gap-24 {
  gap: 24px;
}
.gap-16 {
  gap: 16px;
}
.gap-12 {
  gap: 12px;
}
.gap-8 {
  gap: 8px;
}
.align-items-center {
  align-items: center;
}
.align-items-baseline {
  align-items: baseline;
}
.justify-content-between {
  justify-content: space-between;
}
.justify-content-center {
  justify-content: center;
}
.direction-row-reverse {
  flex-direction: row-reverse;
}
.align-self-center {
  align-self: center;
}
.banner-box {
  padding: 100px 24px;
  background-size: cover;
  background-position: center right;
  background-color: var(--text-color-black);
  min-height: 380px;
  display: flex;
}
.banner-box .content {
  max-width: 1830px;
  margin: auto;
  display: flex;
  flex-direction: column;
  gap: 32px;
  align-self: center;
  width: 100%;
}
.banner-box .h1 {
  color: #fff;
}
.banner-box .text {
  color: #fff;
  font-weight: 300;
  font-size: 16px;
  line-height: 24px;
  max-width: 680px;
}
.show-mobile,
.swiper-button-lock {
  display: none !important;
}

.slider__thumbs {
  display: flex;
  position: absolute;
  left: 20px;
  max-width: 292px;
  min-width: 292px;
  bottom: 20px;
  overflow: hidden;
}
.slider__thumbs .swiper-slide {
  width: 52px;
  height: 2px;
  opacity: 0.2;
  background-color: #fff;
  transition: all 0.4s;
}
.slider__thumbs .swiper-slide-thumb-active {
  opacity: 1;
}

.page-404 {
  display: flex;
  min-height: calc(100vh - 150px);
  align-items: center;
  justify-content: center;
  background-color: #f6f7f9;
}
.page-404 .container {
  width: 100%;
  text-align: center;
}
.page-404 p {
  margin: 20px 0;
}

@media (min-width: 1024px) {
  .breadcrumbs a:hover,
  .breadcrumbs a:hover span{
    color: var(--text-color-black);
  }
}

@media (max-width: 1023px) {
  .banner-box {
    padding: 65px 20px;
    background-position: center;
    min-height: 290px;
  }

  .container {
    padding-left: 20px;
    padding-right: 20px;
  }

  .gap-40 {
    gap: 32px;
  }
  .gap-24 {
    gap: 16px;
  }
}

@media (max-width: 767px) {
  .header.scrolled-down {
    transform: translateY(-100%);
  }
  .banner-box .text {
    font-size: 15px;
  }
}

/* overlay */
.cart-overlay {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.4);
  opacity: 0;
  pointer-events: none;
  transition: 0.3s;
  z-index: 99;
}

/* drawer */
.cart-drawer {
  position: fixed;
  top: 0;
  right: 0;
  width: 380px;
  max-width: 100%;
  height: 100%;
  background: #fff;
  transform: translateX(100%);
  transition: 0.3s ease;
  z-index: 100;
  display: flex;
  flex-direction: column;
}

/* active */
.cart-drawer.open {
  transform: translateX(0);
}

.cart-overlay.open {
  opacity: 1;
  pointer-events: auto;
}

/* header */
.cart-header {
  padding: 16px;
  border-bottom: 1px solid #eee;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.close-cart {
  font-size: 28px;
  background: none;
  border: none;
  cursor: pointer;
}

/* body */
.cart-body {
  flex: 1;
  overflow-y: auto;
  padding: 16px;
}

.cart-item {
  display: flex;
  gap: 12px;
  padding: 15px 0;
  border-bottom: 1px solid var(--label-color);
}
.cart-item:last-child {
  border-bottom: 0 !important;
}

.cart-item .photo {
  width: 90px;
  min-width: 90px;
  /* height: 90px; */
  aspect-ratio: 4 / 5;
  overflow: hidden;
  position: relative;
  align-self: flex-start;
}
.cart-item .photo img {
  object-fit: cover;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  object-position: center;
}

.cart-item-info .rl-title {
  font-weight: 500;
}

.cart-item-info .price {
  margin: 0 0;
  font-size: 14px;
}
.cart-item-info .price.old {
  text-decoration: line-through;
  color: #69737c;
  opacity: 0.5;
}
.cart-item-info .price-wrap {
  display: flex;
  gap: 8px;
  flex-wrap: wrap;
  justify-content: flex-end;
}

.qty {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  border: 1px solid #e8e8e1;
}

.qty input {
  width: 40px;
  text-align: center;
  -webkit-appearance: none;
  -moz-appearance: none;
}
.qty .button {
  height: 30px;
  width: 30px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: #fff;
  transition: all 0.3s ease;
  cursor: pointer;
}
.cart-item .rl-row {
  display: flex;
  justify-content: space-between;
  gap: 12px;
  align-items: flex-start;
}
.cart-item-info {
  flex: auto;
  display: flex;
  flex-direction: column;
  gap: 12px;
}
.cart-item-info .text {
  font-size: 14px;
  font-weight: 400;
}
/* footer */
.cart-footer {
  border-top: 1px solid #eee;
  padding: 16px;
}
.cart-empty {
  padding: 16px;
}
.cart-footer__text,
.has_graving {
  font-size: 14px;
  padding: 20px 0;
  line-height: 1.3;
  color: #69737c;
}
.cart-footer__text {
  padding: 0 0 15px;
}
.header-options .badge {
  position: absolute;
  right: 0;
  bottom: 0;
  width: 6px;
  height: 6px;
  border-radius: 50%;
  background-color: #fff;
  background-color: #ff4f33;
  border: 2px solid var(--text-color-white);

  height: 15px;

  width: 15px;
}
.subtotal {
  display: flex;
  justify-content: space-between;
  margin-bottom: 12px;
}

.checkout-btn {
  width: 100%;
  padding: 12px;
  background: black;
  color: white;
  border: none;
  cursor: pointer;
  display: flex;
  text-align: center;
  justify-content: center;
}

.product-cards__card .tags {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 5;
  display: flex;
  flex-wrap: wrap;
  gap: 5px;
  right: 10px;
  flex-direction: column;
  align-items: self-start;
}
.product-cards__card .badge {
  font-size: 14px;
  padding: 5px;
  width: fit-content;
  background: #ccc;
  color: #15161a;
}

@media (min-width: 1024px) {
  .qty .button:hover {
    background-color: black;
    color: #fff;
  }
}
@media (max-width: 650px) {
  .product-cards__card .tags {
    left: 0;
    top: 0;
    right: 0;
    gap: 4px;
  }
  .product-cards__card .badge {
    font-size: 12px;
    padding: 3px 8px;
  }
  html:not(.touch-screen) ::-webkit-scrollbar,
  html:not(.touch-screen)::-webkit-scrollbar {
    width: 0px;
    height: 0px;
    border-radius: 10px;
  }
  html:not(.touch-screen) ::-webkit-scrollbar-thumb,
  html:not(.touch-screen)::-webkit-scrollbar-thumb {
    background: transparent;
    border-radius: 10px;
  }
}
